org.eclipse.wst.jsdt.ui.text

## Interface IJavaScriptColorConstants

    public interface IJavaScriptColorConstants

Color keys used for syntax highlighting Java code and Javadoc compliant comments. A `IColorManager` is responsible for mapping concrete colors to these keys.

This interface declares static final fields only; it is not intended to be implemented.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves. *

See Also:
  `IColorManager`, `IColorManagerExtension`

### Field Summary

Fields
`static java.lang.String` `JAVA_ANNOTATION` Deprecated. replaced as of 3.2 by an equivalent semantic highlighting, see `SemanticHighlightings.ANNOTATION`
`static java.lang.String` `JAVA_BRACKET` The color key for brackets in JavaScript code (value `"java_bracket"`).
`static java.lang.String` `JAVA_DEFAULT` The color key for everything in JavaScript code for which no other color is specified (value `"java_default"`).
`static java.lang.String` `JAVA_KEYWORD` The color key for JavaScript keywords in JavaScript code (value `"java_keyword"`).
`static java.lang.String` `JAVA_KEYWORD_RETURN` The color key for keyword 'return' in JavaScript code (value `"java_keyword_return"`).
`static java.lang.String` `JAVA_METHOD_NAME` Deprecated. replaced as of 3.1 by an equivalent semantic highlighting, see `SemanticHighlightings.METHOD`
`static java.lang.String` `JAVA_MULTI_LINE_COMMENT` The color key for multi-line comments in JavaScript code (value `"java_multi_line_comment"`).
`static java.lang.String` `JAVA_OPERATOR` The color key for operators in JavaScript code (value `"java_operator"`).
`static java.lang.String` `JAVA_SINGLE_LINE_COMMENT` The color key for single-line comments in JavaScript code (value `"java_single_line_comment"`).
`static java.lang.String` `JAVA_STRING` The color key for string and character literals in JavaScript code (value `"java_string"`).
`static java.lang.String` `JAVADOC_DEFAULT` The color key for everything in JavaDoc comments for which no other color is specified (value `"java_doc_default"`).
`static java.lang.String` `JAVADOC_KEYWORD` The color key for JavaDoc keywords (`@foo`) in JavaDoc comments (value `"java_doc_keyword"`).
`static java.lang.String` `JAVADOC_LINK` The color key for JavaDoc links (`{foo}`) in JavaDoc comments (value `"java_doc_link"`).
`static java.lang.String` `JAVADOC_TAG` The color key for HTML tags (`<foo>`) in JavaDoc comments (value `"java_doc_tag"`).
`static java.lang.String` `JAVASCRIPT_TEMPLATE_LITERAL` The color key for template literals in JavaScript code
`static java.lang.String` `PREFIX` Note: This constant is for internal use only.
`static java.lang.String` `PROPERTIES_FILE_COLORING_ARGUMENT` The color key for arguments in values in a properties file.
`static java.lang.String` `PROPERTIES_FILE_COLORING_ASSIGNMENT` The color key for assignment in a properties file.
`static java.lang.String` `PROPERTIES_FILE_COLORING_COMMENT` The color key for comments in a properties file (value `"pf_coloring_comment"`).
`static java.lang.String` `PROPERTIES_FILE_COLORING_KEY` The color key for keys in a properties file (value `"pf_coloring_key"`).
`static java.lang.String` `PROPERTIES_FILE_COLORING_VALUE` The color key for values in a properties file (value `"pf_coloring_value"`).
`static java.lang.String` `TASK_TAG` The color key for task tags in JavaScript comments (value `"java_comment_task_tag"`).

### Field Detail

#### PREFIX

    static final java.lang.String PREFIX

Note: This constant is for internal use only. Clients should not use this constant. The prefix all color constants start with (value `"java_"`).

See Also:
  Constant Field Values

#### JAVA_MULTI_LINE_COMMENT

    static final java.lang.String JAVA_MULTI_LINE_COMMENT

The color key for multi-line comments in JavaScript code (value `"java_multi_line_comment"`).

See Also:
  Constant Field Values

#### JAVASCRIPT_TEMPLATE_LITERAL

    static final java.lang.String JAVASCRIPT_TEMPLATE_LITERAL

The color key for template literals in JavaScript code

See Also:
  Constant Field Values

#### JAVA_SINGLE_LINE_COMMENT

    static final java.lang.String JAVA_SINGLE_LINE_COMMENT

The color key for single-line comments in JavaScript code (value `"java_single_line_comment"`).

See Also:
  Constant Field Values

#### JAVA_KEYWORD

    static final java.lang.String JAVA_KEYWORD

The color key for JavaScript keywords in JavaScript code (value `"java_keyword"`).

See Also:
  Constant Field Values

#### JAVA_STRING

    static final java.lang.String JAVA_STRING

The color key for string and character literals in JavaScript code (value `"java_string"`).

See Also:
  Constant Field Values

#### JAVA_METHOD_NAME

    static final java.lang.String JAVA_METHOD_NAME

Deprecated. replaced as of 3.1 by an equivalent semantic highlighting, see `SemanticHighlightings.METHOD`
The color key for method names in JavaScript code (value `"java_method_name"`).

See Also:
  Constant Field Values

#### JAVA_KEYWORD_RETURN

    static final java.lang.String JAVA_KEYWORD_RETURN

The color key for keyword 'return' in JavaScript code (value `"java_keyword_return"`).

See Also:
  Constant Field Values

#### JAVA_OPERATOR

    static final java.lang.String JAVA_OPERATOR

The color key for operators in JavaScript code (value `"java_operator"`).

See Also:
  Constant Field Values

#### JAVA_BRACKET

    static final java.lang.String JAVA_BRACKET

The color key for brackets in JavaScript code (value `"java_bracket"`).

See Also:
  Constant Field Values

#### JAVA_DEFAULT

    static final java.lang.String JAVA_DEFAULT

The color key for everything in JavaScript code for which no other color is specified (value `"java_default"`).

See Also:
  Constant Field Values

#### JAVA_ANNOTATION

    static final java.lang.String JAVA_ANNOTATION

Deprecated. replaced as of 3.2 by an equivalent semantic highlighting, see `SemanticHighlightings.ANNOTATION`
The color key for annotations (value `"java_annotation"`).

See Also:
  Constant Field Values

#### TASK_TAG

    static final java.lang.String TASK_TAG

The color key for task tags in JavaScript comments (value `"java_comment_task_tag"`).

See Also:
  Constant Field Values

#### JAVADOC_KEYWORD

    static final java.lang.String JAVADOC_KEYWORD

The color key for JavaDoc keywords (`@foo`) in JavaDoc comments (value `"java_doc_keyword"`).

See Also:
  Constant Field Values

#### JAVADOC_TAG

    static final java.lang.String JAVADOC_TAG

The color key for HTML tags (`<foo>`) in JavaDoc comments (value `"java_doc_tag"`).

See Also:
  Constant Field Values

#### JAVADOC_LINK

    static final java.lang.String JAVADOC_LINK

The color key for JavaDoc links (`{foo}`) in JavaDoc comments (value `"java_doc_link"`).

See Also:
  Constant Field Values

#### JAVADOC_DEFAULT

    static final java.lang.String JAVADOC_DEFAULT

The color key for everything in JavaDoc comments for which no other color is specified (value `"java_doc_default"`).

See Also:
  Constant Field Values

#### PROPERTIES_FILE_COLORING_KEY

    static final java.lang.String PROPERTIES_FILE_COLORING_KEY

The color key for keys in a properties file (value `"pf_coloring_key"`).

See Also:
  Constant Field Values

#### PROPERTIES_FILE_COLORING_COMMENT

    static final java.lang.String PROPERTIES_FILE_COLORING_COMMENT

The color key for comments in a properties file (value `"pf_coloring_comment"`).

See Also:
  Constant Field Values

#### PROPERTIES_FILE_COLORING_VALUE

    static final java.lang.String PROPERTIES_FILE_COLORING_VALUE

The color key for values in a properties file (value `"pf_coloring_value"`).

See Also:
  Constant Field Values

#### PROPERTIES_FILE_COLORING_ASSIGNMENT

    static final java.lang.String PROPERTIES_FILE_COLORING_ASSIGNMENT

The color key for assignment in a properties file. (value `"pf_coloring_assignment"`).

See Also:
  Constant Field Values

#### PROPERTIES_FILE_COLORING_ARGUMENT

    static final java.lang.String PROPERTIES_FILE_COLORING_ARGUMENT

The color key for arguments in values in a properties file. (value `"pf_coloring_argument"`).

See Also:
  Constant Field Values